Get a annotation job
GET
/v1/projects/{projectId}/annotation-jobs/{jobId}curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/annotation-jobs/{jobId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- jobIdstring必填
响应
Success
- dataobject必填
- idstring必填
- projectIdstring必填
- kindstring必填可选值segmentationlabeling
- namestring必填
- instructionsMdstring | null必填
- exampleEpisodeIdstring | null必填
- fieldsJsonarray<string>必填
- reviewerMembershipIdstring | null必填
- dueAtstring | null必填
- statusstring必填可选值cancelledin_reviewin_progressopendone
- distributionstring必填可选值evenqueue
- createdBystring | null必填
- assigneeMembershipIdsarray<string>必填
- progressobject必填
- createdAtstring必填
- updatedAtstring必填
- rowVersionnumber必填
响应示例
{
"data": {
"id": "string",
"projectId": "string",
"kind": "segmentation",
"name": "string",
"instructionsMd": "string",
"exampleEpisodeId": "string",
"fieldsJson": [
"string"
],
"reviewerMembershipId": "string",
"dueAt": "string",
"status": "cancelled",
"distribution": "even",
"createdBy": "string",
"assigneeMembershipIds": [
"string"
],
"progress": {
"total": 0,
"todo": 0,
"labeled": 0,
"approved": 0,
"rejected": 0
},
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1